curl --request GET \
--url https://preview.intermezzo.ai/organizations/{organization_id}/employees/{employee_id}/compensation-details/history \
--header 'Authorization: Bearer <token>'[
{
"employeeId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"employmentCountry": "GB",
"earnings": [
{
"wageTypeCode": "<string>",
"amount": "<string>",
"earningType": "AMOUNT",
"earningFrequency": "MONTH",
"isLumpsum": false
}
],
"benefits": [
{
"wageTypeCode": "<string>",
"amount": "0.00",
"makeGoodAmount": "0.00",
"foregoneAmount": "0.00"
}
],
"deductions": [
{
"name": "<string>",
"amount": "<string>",
"wageTypeCode": "<string>"
}
],
"reimbursements": [
{
"wageTypeCode": "<string>",
"amount": "<string>"
}
],
"validFrom": "2023-12-25",
"validTo": "2023-12-25"
}
]Get all historical versions of compensation details.
curl --request GET \
--url https://preview.intermezzo.ai/organizations/{organization_id}/employees/{employee_id}/compensation-details/history \
--header 'Authorization: Bearer <token>'[
{
"employeeId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"employmentCountry": "GB",
"earnings": [
{
"wageTypeCode": "<string>",
"amount": "<string>",
"earningType": "AMOUNT",
"earningFrequency": "MONTH",
"isLumpsum": false
}
],
"benefits": [
{
"wageTypeCode": "<string>",
"amount": "0.00",
"makeGoodAmount": "0.00",
"foregoneAmount": "0.00"
}
],
"deductions": [
{
"name": "<string>",
"amount": "<string>",
"wageTypeCode": "<string>"
}
],
"reimbursements": [
{
"wageTypeCode": "<string>",
"amount": "<string>"
}
],
"validFrom": "2023-12-25",
"validTo": "2023-12-25"
}
]Get token from Auth0 and paste it here
Successful Response
"GB"Show child attributes
Show child attributes
Show child attributes
Show child attributes
Effective date
End date (None = current)
Was this page helpful?